aboutsummaryrefslogtreecommitdiffstats
path: root/test/tests/filter-directory-visited-tags.success
diff options
context:
space:
mode:
Diffstat (limited to 'test/tests/filter-directory-visited-tags.success')
-rw-r--r--test/tests/filter-directory-visited-tags.success25
1 files changed, 25 insertions, 0 deletions
diff --git a/test/tests/filter-directory-visited-tags.success b/test/tests/filter-directory-visited-tags.success
new file mode 100644
index 0000000..527ee5a
--- /dev/null
+++ b/test/tests/filter-directory-visited-tags.success
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+. "$(cd -- "$(dirname -- "$0")" && pwd -P)/../bootstrap.sh"
+
+initializeRepositories
+
+"${BIN_MAIN}" "${DIR_SOURCE}" '--prune-empty --subdirectory-filter subdir' "${DIR_DESTINATION}"
+
+echo 'Fetching tags'
+tags=$(getTagList "${DIR_DESTINATION}")
+if itemInList 'tag-01' "${tags}"
+then
+ printf '%s should not be in tag list:\n%s\n' 'tag-01' "${tags}" >&2
+ exit 1
+fi
+if itemNotInList 'tag-02' "${tags}"
+then
+ printf '%s should be in tag list:\n%s\n' 'tag-02' "${tags}" >&2
+ exit 1
+fi
+if itemInList 'tag-03' "${tags}"
+then
+ printf '%s should not be in tag list:\n%s\n' 'tag-02' "${tags}" >&2
+ exit 1
+fi

© 2014-2024 Faster IT GmbH | imprint | privacy policy